This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create Hosted Zone

1 - 1.3

post /v1/hosted-zones

Description

Create a new hosted zone.

State ACTIVE (CURRENT)

VersionSupported Until
1.3-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot3

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot3
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"

Request body

{
    "description": "This is description",
    "name": "my-zone.com",
    "private_dns_id": "",
    "tags": [],
    "type": "public"
}

Example HTTP response

Response 202

{
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "description": "This is description",
    "hosted_zone_type": "public",
    "id": "3432012nfdksdf03ktrld9234lgfg",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "my-zone.com",
    "pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
    "private_dns_id": "10fjkewefprivatedns3193rud543",
    "private_dns_name": "private-dns01",
    "status": "CREATING",
    "ttl": "3600"
}

2 - 1.2

post /v1/hosted-zones

Description

Create a new hosted zone.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.220260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.2"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "private_dns_id": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "private_dns_id": "",
    "private_dns_name": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

3 - 1.1

post /v1/hosted-zones

Description

Create a new hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.1"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}

4 - 1.0

post /v1/hosted-zones

Description

Create a new hosted zone

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

HostedZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedHostedZoneCreateResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.0"

Request body

{
    "description": "",
    "email": "",
    "name": "",
    "tags": [],
    "type": ""
}

Example HTTP response

Response 202

{
    "action": "",
    "attributes": "",
    "created_at": "",
    "description": "",
    "email": "",
    "hosted_zone_type": "",
    "id": "",
    "links": "",
    "masters": [
        ""
    ],
    "name": "",
    "pool_id": "",
    "project_id": "",
    "serial": "",
    "shared": "",
    "status": "",
    "transferred_at": "",
    "ttl": "",
    "type": "",
    "updated_at": "",
    "version": ""
}